Issue 121961 - [sidebar] Integrate the navigator into the sidebar
Summary: [sidebar] Integrate the navigator into the sidebar
Status: RESOLVED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: 4.0.0-dev
Hardware: All All
: P3 Normal (vote)
Target Milestone: 4.0.0
Assignee: Andre
QA Contact:
URL:
Keywords:
Depends on:
Blocks: [sidebar]
  Show dependency tree
 
Reported: 2013-03-26 12:50 UTC by Andre
Modified: 2013-07-11 13:56 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Andre 2013-03-26 12:50:30 UTC
The navigator is implemented separately for each application and therefore the sidebar integration has to be done once for Draw/Impress, once for Calc and once for Writer.
Comment 1 SVN Robot 2013-04-02 12:55:47 UTC
"af" committed SVN revision 1463515 into branches/sidebar:
i121961: Added navigator to sidebar for Writer.
Comment 2 Andre 2013-04-02 13:03:37 UTC
Rev 1461104:
Added navigator panel for Impress.
Comment 3 Andre 2013-04-02 13:03:51 UTC
Rev 1463515:
Added navigator panel for Writer.

Hiding the button for showing/hiding (called ZoomIn/ZoomOut in the navigator source code) all controls below the top two rows of icons.
While it might be possible to do this (the existing code access the parent window, believing that it is a child window; an assumption that is not true in the sidebar) this would just waste the space, as the navigator is the only panel in the deck.
Comment 4 SVN Robot 2013-04-03 09:10:17 UTC
"af" committed SVN revision 1463887 into branches/sidebar:
i121961: Added navigator for Writer.
Comment 5 Andre 2013-04-03 09:11:23 UTC
Despite the commit message, I have added the navigator panel for Calc.
This is the last of the navigator panels.